package com.bonus.system.api.domain;

import lombok.Builder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文件信息
 * 
 * @author bonus
 */
@Builder
public class SysFile
{
    /**
     * 文件名称
     */
    private String name;

    /**
     * 文件地址，除mongodb 存fileid之外，其他均存上传文件的网络路径
     */
    private String url;

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getUrl()
    {
        return url;
    }

    public void setUrl(String url)
    {
        this.url = url;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("name", getName())
            .append("url", getUrl())
            .toString();
    }

//    public String getStorageType() {
//        return storageType;
//    }
//
//    public void setStorageType(String storageType) {
//        this.storageType = storageType;
//    }
}
